Name: 		tetex-eurofont
Version:	1.1.3
Release: 	2
Epoch:		0
Summary: 	Provides a command that prints a euro symbol.

Group: 		Applications/Publishing
License:        LaTeX Project Public License
Url: 		http://tug.ctan.org/tex-archive/macros/latex/contrib/eurofont
Source:		ftp://ftp.dante.de/tex-archive/macros/latex/contrib/eurofont.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       tetex-latex
Requires(post): tetex
Requires(postun):  tetex
BuildRequires:  tetex-latex

%define eurofontpath %{_datadir}/texmf/tex/latex/eurofont
%define doceurofontpath %{_datadir}/texmf/doc/latex/eurofont
%define tfmfontpath %{_datadir}/texmf/fonts/tfm

%description
The particular symbol printed by \euro will in general change depending on the
font family, weight, and shape in use at the time. This symbol can come from
any source, and the package user has complete control over which euro symbol
is used in any given situation. The package is pre-configured to behave
sensibly with many common text fonts and available euro symbols. The \euro
command can print `faked' euro symbols from a C with two lines across it when
no suitable real euro symbol is available; the package also includes code for
printing fake bold euro symbols for use when no real bold symbol exists,
as well as pre-configured support for a faked italic version of the marvosym
font. Eurofont comes set up to use euro symbols from Adobe's Eurofonts,
the marvosym font, the Eurosym font, and any available Text Companion fonts.
The selection between these can be done using options passed to the package.
The eurofont package knows about the China2e font's euro symbol, and can be
configured to use it. The author is Rowland McDonnell.
See also eurosym marvosym.

%prep

%setup -q -n eurofont
latex eurofont.ins
latex eurofont.dtx
latex eurofont.dtx
latex eurofont.dtx

%install
rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{eurofontpath}
install -m 644 *.fd $RPM_BUILD_ROOT%{eurofontpath}
install -m 644 eurofont.{sty,cfg} $RPM_BUILD_ROOT%{eurofontpath}

mkdir -p $RPM_BUILD_ROOT%{tfmfontpath}/adobe/euro
install -m 644 adobeuro/tfmfiles/*.tfm $RPM_BUILD_ROOT%{tfmfontpath}/adobe/euro

mkdir -p $RPM_BUILD_ROOT%{doceurofontpath}
install -m 644 *.txt $RPM_BUILD_ROOT%{doceurofontpath}
install -m 644 eurofont.{dtx,dvi} $RPM_BUILD_ROOT%{doceurofontpath}

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash %{_datadir}/texmf >/dev/null 2>&1

%postun
texhash %{_datadir}/texmf >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%{eurofontpath}
%{doceurofontpath}
%{tfmfontpath}/adobe/euro

%changelog
* Tue Sep 14 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:1.1.3-0.fdr.2
- Use the good source tarball
* Tue Sep 14 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:1.1.3-0.fdr.1
- Add BuildRequires tetex-latex
- Remove Provides tetex-eurofont
- Directory /usr/share/texmf/fonts/tfm/adobe should not be owned by this package
* Thu Jul 22 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:1.1.3-0.fdr.0
- Initial Fedora RPM
